using System;
using Domain;
using Presenter;
using UnityEngine;

namespace View {
	public class Dependencies : MonoBehaviour {
		public CTrencadaClick CTrencadaClick { private set; get; }
		public Model Model { private set; get; }
		public CustomInput CustomInput { private set; get; }

		private void Awake() {
			Model = new Model(0);

			ICTrencadaInput input = FindObjectOfType<CTrencadaInput>();
			CTrencadaClick = new CTrencadaClick(Model, input);

			CustomInput = new CustomInput();
		}
	}
}